Page MenuHomeFreeBSD

x11-drivers/xf86-video-amdgpu, x11-drivers/xf86-video-ati: update to release 19.1.0
ClosedPublic

Authored by jmd on Oct 19 2019, 9:42 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

jmd created this revision.Oct 19 2019, 9:42 PM
linimon retitled this revision from ati/amdgpu xorg drivers: update to release 19.1.0 to x11-drivers/xf86-video-amdgpu, x11-drivers/xf86-video-ati: update to release 19.1.0.Oct 20 2019, 6:30 AM
linimon edited the summary of this revision. (Show Details)

I have verified that i can cleanly build, and install the updated xf86-video-amdgpu driver without issues.

swills added a subscriber: swills.Nov 1 2019, 12:26 PM
swills accepted this revision as: swills.Nov 26 2019, 2:52 PM

LGTM, I've been running this for a while and it seems to work well.

This revision is now accepted and ready to land.Nov 26 2019, 2:52 PM
zeising accepted this revision.Jan 27 2020, 7:37 PM
markj added a subscriber: markj.Feb 5 2020, 2:52 PM

On -CURRENT, this update seems to cause Xorg to fail during initialization:

(gdb) bt
#0  thr_kill () at thr_kill.S:4
#1  0x0000000800cd6b84 in __raise (s=6) at /home/mark/src/freebsd-dev/lib/libc/gen/raise.c:52
#2  0x0000000800c4a1e9 in abort () at /home/mark/src/freebsd-dev/lib/libc/stdlib/abort.c:67
#3  0x0000000800cc4da1 in __assert (func=<optimized out>, file=<optimized out>, line=<optimized out>, failedexpr=<optimized out>) at /home/mark/src/freebsd-dev/lib/libc/gen/assert.c:51
#4  0x000000080214cf32 in dixGetPrivateAddr (privates=0x8090f94a0, key=0x80216be60 <amdgpu_pixmap_index>) at /usr/local/include/xorg/privates.h:122
#5  0x000000080214cedf in dixGetPrivate (privates=0x8090f94a0, key=0x80216be60 <amdgpu_pixmap_index>) at /usr/local/include/xorg/privates.h:137
#6  0x000000080214c3c5 in amdgpu_get_pixmap_private (pixmap=0x8090f9480) at ./amdgpu_pixmap.h:50
#7  0x000000080214c411 in amdgpu_pixmap_get_handle (pixmap=0x8090f9480, handle=0x7fffffffe614) at amdgpu_bo_helper.c:193
#8  0x000000080215a32f in amdgpu_pixmap_get_fb (pix=0x8090f9480) at ./amdgpu_pixmap.h:152
#9  0x000000080215c811 in drmmode_set_mode_major (crtc=0x807ffa600, mode=0x807ffa6e8, rotation=1, x=0, y=0) at drmmode_display.c:1423
#10 0x000000080215cea5 in drmmode_set_desired_modes (pScrn=0x8021f5000, drmmode=0x8011698e0, set_hw=1) at drmmode_display.c:3730
#11 0x0000000802152695 in AMDGPUWindowExposures_oneshot (pWin=0x808f46500, pRegion=0x7fffffffe880) at amdgpu_kms.c:1527
#12 0x00000000002c65e7 in MapWindow ()
#13 0x0000000000298a21 in ?? ()
#14 0x000000000028110f in _start ()

Reinstalling 19.0.1 without changing anything else fixes the problem for me. Is this a known issue by any chance? I will file a bug with more info if not.